您尚未登录。

#1 2018-09-01 13:02:00

xtricman
喵了个咪
注册时间: 2012-12-26
帖子: 545

最新版Linux内核能支持的最低配置是什么?

i386好像很早就已经停止支持了,i686似乎没有PAE,上游内核也支持吗?运行一个超小的用户态,就一个initramfs,里面一个无限睡眠的init进程,要多少内存?8MB内存可不可能动的起来?
好玩想问一问,@依云

离线

#2 2018-09-01 13:49:53

依云
a.k.a. 百合仙子
所在地: 一个等待妹纸出现的地方
注册时间: 2011-08-21
帖子: 4,886
个人网站

Re: 最新版Linux内核能支持的最低配置是什么?

我也不知道呀,我又不搞内核定制。

离线

#3 2018-09-01 16:43:12

xtricman
喵了个咪
注册时间: 2012-12-26
帖子: 545

Re: 最新版Linux内核能支持的最低配置是什么?

刚试了一下Virtualbox, PAE开着,似乎要64MB内存撑起systemd,低于16MB内核直接崩溃.
而且systemd始终无法完成全部服务,报告说日志在频繁写入磁盘,一个叫man-db啥的服务长时间不成功,但是从vbox按正常关机,systemd能在几秒后正确的关机。不需要强制断电。

离线

#4 2018-09-01 23:41:21

zsrkmyn
lazy...
注册时间: 2013-05-05
帖子: 318

Re: 最新版Linux内核能支持的最低配置是什么?

man-db 用来更新 man page 的 cache,第一次会比较慢。

离线

#5 2018-09-03 10:31:35

gccplus
会员
注册时间: 2015-11-14
帖子: 8

Re: 最新版Linux内核能支持的最低配置是什么?

搜到这个https://www.tldp.org/FAQ/Linux-FAQ/kernel.html, 说是2mb.
A minimal Linux installation requires a machine for which a port exists, at least 2Mb of RAM, and a single floppy drive, but to do anything even remotely useful, more RAM and disk space are needed.

离线

页脚